<?php
function expert_finance_manager_upper_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

	/*=========================================
	top header
	=========================================*/
	$wp_customize->add_section(
        'expert_finance_manager_topbar',
        array(
        	'priority'      => 2,
            'title' 		=> __('Header Informations','expert-finance-manager'),
			'panel'  		=> 'expert_finance_manager_frontpage_sections',
		)
    );
    
	$wp_customize->add_setting('expert_finance_manager_call',array(
		'default'=> '(480) 555-0103',
		'sanitize_callback'	=> 'expert_finance_manager_sanitize_phone_number'
	));
	$wp_customize->add_control('expert_finance_manager_call',array(
		'label'	=> __('Add Phone Number','expert-finance-manager'),
		'section'=> 'expert_finance_manager_topbar',
		'type'=> 'text'
	));

	$wp_customize->add_setting( 'expert_finance_manager_upgrade_page_settings_156454',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control( new Expert_Finance_Manager_Control_Upgrade(
        $wp_customize, 'expert_finance_manager_upgrade_page_settings_156454',
            array(
                'priority'      => 200,
                'section'       => 'expert_finance_manager_topbar',
                'settings'      => 'expert_finance_manager_upgrade_page_settings_156454',
                'label'         => __( 'Expert Finance Manager Pro comes with additional features.', 'expert-finance-manager' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'expert-finance-manager' ), __( 'One-Click Demo Import', 'expert-finance-manager' ), __( 'WooCommerce Integrated', 'expert-finance-manager' ), __( 'Drag & Drop Section Reordering', 'expert-finance-manager' ),__( 'Advanced Typography Control', 'expert-finance-manager' ),__( 'Intuitive Customization Options', 'expert-finance-manager' ),__( '24/7 Support', 'expert-finance-manager' ), )
            )
        )
    );

}
add_action( 'customize_register', 'expert_finance_manager_upper_header_settings' );